
/*
 *  Copyright (C) 1992-1993 Jeffrey Chilton
 *
 *  Permission is granted to anyone to make or distribute copies of
 *  this program, in any medium, provided that the copyright notice
 *  and permission notice are preserved, and that the distributor
 *  grants the recipient permission for further redistribution as
 *  permitted by this notice.
 *  
 *  Author's E-mail address:  172-9221@mcimail.com
 *  
 */

/* static char *whatstring = "@(#)exstr.h	2.4 JWC"; */

#ifndef EXSTR_H
#define EXSTR_H

/*
 *  ExtendString - Strings of 8-bit characters
 */

#if DOS

#define QUOTE_GAUCHE (char )174
#define QUOTE_DROIGT (char )175

#else

#define QUOTE_GAUCHE (char )171
#define QUOTE_DROIGT (char )187

#endif

typedef unsigned char ExtendString;

#if __STDC__

extern ExtendString ExtendString_newFromString(char *str);
extern char ExtendendedString_externalFormat(ExtendString *self);
extern int ExtendString_compareSansAccent(ExtendString *self, char *str);

#else

extern ExtendString *ExtendString_newFromString();
extern char *ExtendString_externalFormat();
extern int ExtendString_compareSansAccent();

#endif

#define ExtendString_cat(a, b) strcat((char *)(a), (char *)(b))
#define ExtendString_copy(a, b) strcpy((char *)(a), (char *)(b))
#define ExtendString_len(a) strlen((char *)(a))
#define ExtendString_destroy(s) if (s) { free(s); }

#endif

